=== debian/control ===
Source: ros-eloquent-rosbag2-storage-default-plugins
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gmock, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-pluginlib, ros-eloquent-rcutils, ros-eloquent-rosbag2-storage, ros-eloquent-rosbag2-test-common, ros-eloquent-sqlite3-vendor, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rosbag2-storage-default-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-pluginlib, ros-eloquent-rcutils, ros-eloquent-rosbag2-storage, ros-eloquent-sqlite3-vendor, ros-eloquent-ros-workspace
Description: ROSBag2 SQLite3 storage plugin
